Index: scripts/imdb.pl
===================================================================
--- scripts/imdb.pl	(revision 13165)
+++ scripts/imdb.pl	(working copy)
@@ -94,6 +94,9 @@
    my $ldata = lc($data);
    my $start = index($ldata, lc($beg)) + length($beg);
    my $finish = index($ldata, lc($end), $start);
+ 
+   # if (defined $opt_d) { printf("ParseBetween -> $beg ($start) $end ($finish)\n"); }
+ 
    if ($start != (length($beg) -1) && $finish != -1) {
       my $result = substr($data, $start, $finish - $start);
       # return w/ decoded numeric character references
@@ -130,13 +133,12 @@
       $title = $1;
    }
 
-   # parse director 
-   my $director = parseBetween($response, ">Directed by</h5>", "/a><br/>");
-   $director = parseBetween($director, "/\">", "<");
+   # parse director(s)
+   my $director = parseBetween($response, ">Director", ">Writer");
+   $director = join(",", ($director =~ m/$name_link_pat/g));
 
-   # parse writer 
-   # (Note: this takes the 'first' writer, may want to include others)
-   my $data = parseBetween($response, ">Writing credits <a href=\"/wga\">(WGA)</a></h5>", "\n<br/>");
+   # parse writer(s) 
+   my $data = parseBetween($response, ">Writer", ">Release");
    my $writer = join(",", ($data =~ m/$name_link_pat/g));
 
    # parse plot
@@ -417,16 +419,23 @@
    #    possible matches are grouped in several catagories:  
    #        exact, partial, and approximate
    my $popular_results = parseBetween($response, "<b>Popular Titles</b>",
-                                              "</ol>");
+                                              "<p>");
    my $exact_matches = parseBetween($response, "<b>Titles (Exact Matches)</b>",
-                                              "</ol>");
+                                              "<p>");
    my $partial_matches = parseBetween($response, "<b>Titles (Partial Matches)</b>", 
-                                              "</ol>");
+                                              "<p>");
 #   my $approx_matches = parseBetween($response, "<b>Approximate Matches</b>", 
 #                                               "</ol>");
+
+
+
+#print "--------------------------\n";
+#print $popular_results, "\n";
+#print "EXACT $exact_matches\n";
+
    # parse movie list from matches
-   my $beg = "<li>";
-   my $end = "</li>";
+   my $beg = "<td";
+   my $end = "</td>";
    my $count = 0;
    my @movies;
 
@@ -445,7 +454,14 @@
    my $year;
    my $type;
    my $title;
+   
+   if (defined $opt_d) {print "data = $data\n";};
+   if (defined $opt_d) {print "Item start tag = $beg\n";}; 
+   if (defined $opt_d) {print "start = $start finish = $finish\n";};
+   
    while ($start != -1 && $start < length($data)) {
+   
+      if (defined $opt_d) { print "Item start = $start ";};
       $start += length($beg);
       my $entry = substr($data, $start, $finish - $start);
       $start = index($data, $beg, $finish + 1);
@@ -465,6 +481,7 @@
       if ($lhs =~ m/<a href="\/title\/tt(\d+)\/.*\">(.+)<\/a>/i) {
           $movienum = $1;
           $title = $2;
+          if (defined $opt_d) { print "Movie $movienum, Title $title";};
       } else {
            if (defined $opt_d) {
                print("Unrecognized entry format\n");
